Skip to main content
GET
/
v1
/
form-templates
Get all form templates
curl --request GET \
  --url https://dev.flextell.ai/api/v1/form-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "system_name": "<string>",
      "description": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "questions": [
        {
          "id": 123,
          "order": 123,
          "label": "<string>",
          "helper_text": "<string>",
          "question_type": "<string>",
          "required": true,
          "options": [
            {
              "id": 123,
              "label": "<string>",
              "order": 123
            }
          ],
          "visibility_rules": [
            {
              "id": 123,
              "depends_on_question_id": 123,
              "operator": "<string>",
              "value": "<string>",
              "match_type": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string> | null

The field to sort by.

Available options:
name,
created_at,
updated_at,
is_active
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
is_active
enum<string> | null

Filter by active status.

Available options:
0,
1,
true,
false
search
string | null

The search query.

Maximum string length: 255
trashed
boolean | null

Include only soft-deleted records.

Response

Paginated set of FormTemplateResource

data
FormTemplateResource · object[]
required
meta
object
required